<?php
error_reporting(0);

// This WFS proxy bridges requests to a defined URL :
$url = "http://ogo.heig-vd.ch/geoserver/wfs";

// This WFS proxy only bridges raw data from a POST request (not in a query string form)
$query = file_get_contents("php://input");

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $url);

// Configure POST request
curl_setopt($session, CURLOPT_HTTPHEADER, array('Content-type: text/xml'));
curl_setopt($session, CURLOPT_POST, true);
curl_setopt($session, CURLOPT_POSTFIELDS, $query);

// Don't return HTTP headers. Do return the contents of the call
curl_setopt($session, CURLOPT_HEADER, false);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

// Make the call
$data = curl_exec($session);

// Set the Content-Type appropriately
header("Content-Type: text/xml");

echo $data;
curl_close($session);
?>
